--- old/usr/src/lib/libzfs/common/libzfs_import.c	2014-02-25 11:31:18.052737886 -0500
+++ new/usr/src/lib/libzfs/common/libzfs_import.c	2014-02-25 11:31:18.060036640 -0500
@@ -1568,9 +1568,12 @@
 		 * its state to active.
 		 */
 		if (pool_active(hdl, name, guid, &isactive) == 0 && isactive &&
-		    (zhp = zpool_open_canfail(hdl, name)) != NULL &&
-		    zpool_get_prop_int(zhp, ZPOOL_PROP_READONLY, NULL))
-			stateval = POOL_STATE_ACTIVE;
+		    (zhp = zpool_open_canfail(hdl, name)) != NULL) {
+			if (zpool_get_prop_int(zhp, ZPOOL_PROP_READONLY, NULL))
+				stateval = POOL_STATE_ACTIVE;
+
+			zpool_close(zhp);
+		}
 
 		ret = B_TRUE;
 		break;
